{% extends "layout.html" %} {% block body %}

<div class="form-group col-sm-3">
    <h3>{{ entry.title }}</h3>
    <h5>{{ entry.publisher }}</h5>
    投稿日時 {{ entry.created_at }}
    <br>
    <br>

    <div class="btn-group">
        <form action="{{ url_for('entry.edit_entry', id=entry.id) }}" method="get">
            <button type="submit" class="btn btn-secondary">編集</button>
        </form>

        <form action="{{ url_for('entry.delete_entry', id=entry.id) }}" method="post">
            <button type="submit" class="btn btn-danger" style="margin-left:5px">削除</button>

            <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
            <script type="text/javascript">
                $(function(){
                    $(".btn-danger").on('click', function(){
                    if(window.confirm("削除しますがよろしいですか？")) {
                    location.href = $(this).attr('href');
                    } else {
                        return false;
                    }
                });
            });
            </script>

        </form>
    </div>
</div>

{% endblock %}
